$!
$! Procedure to build the LCK executables in a single directory environment
$! (derived from the MMS script used for development)
$!
$! Marc Van Dyck, 25-FEB-2003
$!
$!==============================================================================
$!
$ arch = f$element ( f$getsyi ( "ARCH_TYPE" ) , "|" , "|VAX|AXP|" )
$ vax = arch .eqs. "VAX"
$ axp = arch .eqs. "AXP"
$!
$ here = f$element ( 0 , "]" , f$environment ( "PROCEDURE" ) ) + "]"
$ define int 'here'
$ define exe 'here'
$ write sys$output "Building LCK V1.1 for OpenVMS ''arch' in ''here'"
$!
$ macro :== macro /lis /cross /diag /obj /anal /nodeb
$ pascal_pen :== pascal /lis /cross /show=all /nodiag /env /noobj /anal /nocheck /nodeb /optim /nowarn
$ pascal_obj :== pascal /lis /cross /show=all /nodiag /obj /noenv /anal /nocheck /nodeb /optim /nowarn
$ link_exe :== link /exec /map /full /nodebug /notraceback
$ link_shr :== link /shar /map /full /nodebug /notraceback
$!
$ message /nosymbol /object lck_messages.msg
$ message /file_name = lck_messages /object = lck_msgptrs.obj lck_messages.msg
$ message /noobject /sdl = lck_messages.sdl lck_messages.msg
$!
$ sdl /langage = pascal lck_messages.sdl
$ edit /tpu /nodisplay /command = add_ident.tpu /noinitialize lck_messages.pas
$ delete lck_messages.pas;-1
$ pascal_pen lck_messages.pas
$!
$ sdl /language = pascal lck_declarations.sdl
$ edit /tpu /nodisplay /command = add_ident.tpu /noinitialize lck_declarations.pas
$ delete lck_declarations.pas;-1
$ if vax then edit /tpu /nodisplay /command = change_integer_to_unsigned.tpu /noinitialize lck_declarations.pas
$ if vax then delete lck_declarations.pas;-1
$ pascal_pen lck_declarations.pas
$!
$ pascal_obj lck_cli.pas
$ pascal_obj lck_routines.pas
$ if vax then macro lck_xfr_vect.mar
$!
$ if vax then link_shr lck_routines.obj + lck_routines_vax.opt /options
$ if axp then link_shr lck_routines.obj + lck_routines_axp.opt /options
$ link_exe lck_cli.obj + lck_msgptrs.obj + lck_cli.opt /options
$ link_shr lck_messages.obj + lck_messages.opt /options
