$!
$!	LCK$STARTUP.COM
$!	===============
$!
$! Facility : LCK
$! Version  : 1.1
$! Function : Startup commands
$!
$! Installs the LCK executable image with the CMKRNL privilege.
$! Installs the LCK messages image and shareable image.
$!
$! Remark : if the LCK utility is heavily used on this system,
$!          the executable image can be installed /OPEN /HEADER /SHARED too.
$!          Just edit the line below to add more INSTALL qualifiers ...
$!
$!  Marc Van Dyck, 20-MAR-2000
$!
$!==============================================================================
$!
$	process := CALL process
$!
$	process sys$system:lck_cli.exe /PRIVILEGES=CMKRNL
$	process sys$library:lck_routines.exe /OPEN /HEADER_RESIDENT /SHARED
$	process sys$message:lck_messages.exe /OPEN /HEADER_RESIDENT /SHARED
$!
$	EXIT
$!
$process:
$	SUBROUTINE
$		qualifiers = "''P2' ''P3' ''P4' ''P5' ''P6' ''P7' ''P8'"
$		IF F$FILE_ATTRIBUTE ("''P1'", "KNOWN")
$		THEN
$			INSTALL REPLACE 'P1' 'qualifiers'
$		ELSE
$			INSTALL ADD 'P1' 'qualifiers'
$		ENDIF
$	ENDSUBROUTINE
